

CREATE TABLE DEPT_TABLE (
		
       DEPT_ID           NUMERIC(2) NOT NULL
				AUTO_INCREMENT(1,1)
				PRIMARY KEY
		,
       DNAME              VARCHAR(14) 
		,
       LOC              VARCHAR(13) 
		,
       VERSIONNO              NUMERIC(8) NOT NULL
		,
       ACTIVE              NUMERIC(1) 
);




CREATE TABLE EMP_TABLE (
		
       EMP_NO           NUMERIC(4) NOT NULL
				PRIMARY KEY
		,
       ENAME              VARCHAR(10) 
		,
       JOB              VARCHAR(9) 
		,
       MGR              NUMERIC(4) 
		,
       HIRE_DATE              DATE 
		,
       SAL              NUMERIC(7) 
		,
       COMM              NUMERIC(7) 
		,
       DEPT_NO              NUMERIC(2) 
		,
       TSTAMP              TIMESTAMP 
		,
       VERSIONNO              NUMERIC(8) NOT NULL
);

--CREATE SEQUENCE EMPNO
-- START WITH 1
-- INCREMENT BY 1
--;



CREATE TABLE NO_PK (
		
       COL_1              NUMERIC(4) NOT NULL
		,
       COL_2              VARCHAR(10) 
);



		ALTER TABLE EMP_TABLE 
			ADD CONSTRAINT FK_EMP_TABLE_DEPT_NO FOREIGN KEY(DEPT_NO) 
			REFERENCES DEPT_TABLE(DEPT_ID)
